function DATAinsert = cellMakerPL(IDcentralina,DTcatena,NodeNum,cPL,ListaDate,...
    ARRAYdate_PL,DatiPressure,ErrPressureLink)

l = ListaDate;
DATAinsert = cell(l,7);
for ii=1:l
    DATAinsert{ii,1} = IDcentralina;
    DATAinsert{ii,2} = DTcatena;
    DATAinsert{ii,3} = NodeNum;
    DATAinsert{ii,4} = datestr(ARRAYdate_PL(ii),'yyyy-mm-dd');
    DATAinsert{ii,5} = datestr(ARRAYdate_PL(ii),'HH:MM:SS');
    DATAinsert{ii,6} = DatiPressure(ii,cPL);
    DATAinsert{ii,7} = ErrPressureLink(ii,cPL);
end

end
